//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference
// Implementation, v2.2.8-b130911.1802
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2018.12.06 at 03:36:10 PM CET
//

package nl.naturalis.nba.dao.format.config;

import javax.xml.bind.annotation.XmlRegistry;

/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the nl.naturalis.nba.dao.format.config package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

  /**
   * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: nl.naturalis.nba.dao.format.config
   *
   */
  public ObjectFactory() {}

  /**
   * Create an instance of {@link ConditionsXmlConfig }
   *
   */
  public ConditionsXmlConfig createConditionsXmlConfig() {
    return new ConditionsXmlConfig();
  }

  /**
   * Create an instance of {@link PluginParamXmlConfig }
   *
   */
  public PluginParamXmlConfig createPluginParamXmlConfig() {
    return new PluginParamXmlConfig();
  }

  /**
   * Create an instance of {@link PluginXmlConfig }
   *
   */
  public PluginXmlConfig createPluginXmlConfig() {
    return new PluginXmlConfig();
  }

  /**
   * Create an instance of {@link DataSetXmlConfig }
   *
   */
  public DataSetXmlConfig createDataSetXmlConfig() {
    return new DataSetXmlConfig();
  }

  /**
   * Create an instance of {@link FieldXmlConfig }
   *
   */
  public FieldXmlConfig createFieldXmlConfig() {
    return new FieldXmlConfig();
  }

  /**
   * Create an instance of {@link PathXmlConfig }
   *
   */
  public PathXmlConfig createPathXmlConfig() {
    return new PathXmlConfig();
  }

  /**
   * Create an instance of {@link ConditionXmlConfig }
   *
   */
  public ConditionXmlConfig createConditionXmlConfig() {
    return new ConditionXmlConfig();
  }

  /**
   * Create an instance of {@link QuerySpecXmlConfig }
   *
   */
  public QuerySpecXmlConfig createQuerySpecXmlConfig() {
    return new QuerySpecXmlConfig();
  }

  /**
   * Create an instance of {@link EntityXmlConfig }
   *
   */
  public EntityXmlConfig createEntityXmlConfig() {
    return new EntityXmlConfig();
  }

  /**
   * Create an instance of {@link SortFieldXmlConfig }
   *
   */
  public SortFieldXmlConfig createSortFieldXmlConfig() {
    return new SortFieldXmlConfig();
  }

  /**
   * Create an instance of {@link DataSourceXmlConfig }
   *
   */
  public DataSourceXmlConfig createDataSourceXmlConfig() {
    return new DataSourceXmlConfig();
  }

  /**
   * Create an instance of {@link MappingXmlConfig }
   *
   */
  public MappingXmlConfig createMappingXmlConfig() {
    return new MappingXmlConfig();
  }
}
